%define build_doc 0
%define staticdevelname %mklibname %{name} -d -s

Summary:	Advanced IP routing and network device configuration tools
Name:		iproute2
Version:	3.6.0
Release:	1
License:	GPLv2+
Group:		Networking/Other
Url:		http://www.linuxfoundation.org/en/Net:Iproute2
Source0:	http://kernel.org/pub/linux/utils/net/iproute2/iproute2-%{version}.tar.xz
Patch0:		man-pages.patch
Patch1:		iproute2-3.4.0-kernel.patch
Patch2:		iproute2-3.5.0-optflags.patch
Patch3:		iproute2-3.4.0-sharepath.patch
Patch4:		iproute2-2.6.31-tc_modules.patch
Patch5:		iproute2-2.6.29-IPPROTO_IP_for_SA.patch
Patch6:		iproute2-example-cbq-service.patch
Patch7:		iproute2-2.6.35-print-route.patch
Patch8:		iproute2-2.6.39-create-peer-veth-without-a-name.patch
Patch9:		iproute2-2.6.39-lnstat-dump-to-stdout.patch

# MDK patches

Patch100:	iproute2-3.2.0-def-echo.patch
Patch102:	iproute2-2.4.7-bashfix.patch
Patch110:	iproute2-3.2.0-q_atm-ld-uneeded.patch
BuildRequires:	bison
BuildRequires:	db5-devel
BuildRequires:	flex
BuildRequires:	kernel-source
# (oe) note: building the docs pulls in thousands of texlive packages.
%if %{build_doc}
BuildRequires:	linuxdoc-tools
BuildRequires:	texlive
BuildRequires:	texlive-fonts
BuildRequires:	texlive-ec
BuildRequires:	texlive-url
%endif
BuildRequires:	linux-atm-devel
BuildRequires:	iptables
BuildRequires:	iptables-devel
Buildrequires:	pkgconfig(libnl-1)
Requires:	iputils

%description
The iproute package contains networking utilities (ip, tc and rtmon, for
example) which are designed to use the advanced networking capabilities of the
Linux 2.2.x kernels and later,  such as policy routing, fast NAT and packet
scheduling.

%package -n %{staticdevelname}
Summary:	Development files for iproute2
Group:		Development/C
Provides:	iproute2-devel = %{version}-%{release}

%description -n	%{staticdevelname}
The iproute package contains networking utilities (ip, tc and rtmon, for
example) which are designed to use the advanced networking capabilities of the
Linux 2.2.x kernels and later,  such as policy routing, fast NAT and packet
scheduling.

This package contains development files for iproute2.

%package doc
Summary:	Documentation for Advanced IP routing and network device configuration tools
Group:		Networking/Other

%description doc
Documentation for iproute2.

%prep
%setup -q

%patch0 -p1
sed -i "s/_VERSION_/%{version}/" man/man8/ss.8
%patch1 -p1 -b .kernel
%patch2 -p1 -b .opt_flags
%patch3 -p1 -b .share
%patch4 -p1 -b .ipt
%patch5 -p1 -b .ipproto
%patch6 -p1 -b .fix_cbq
%patch7 -p1 -b .print-route
%patch8 -p1 -b .peer-veth-without-name
%patch9 -p1 -b .lnstat-dump-to-stdout


# mandriva patches
%patch100 -p1 -b .def-echo
%patch102 -p1 -b .bashfix
%patch110 -p1 -b .q_atm-ld-uneeded

%build
%serverbuild
%setup_compile_flags
export CFLAGS="%{optflags} -fno-strict-aliasing"
export CCOPTS="%{optflags} -ggdb -fno-strict-aliasing -D_GNU_SOURCE -Wstrict-prototypes -fPIC"
export SBINDIR=/sbin
export LIBDIR=/%{_lib}
export ARPDIR=/var/lib
export INCLUDEDIR=%{_includedir}
export IPT_LIB_DIR=/%{_lib}/iptables
export LATEST_BDB_INCLUDE_DIR=`ls -1d /usr/include/db[0-9]*`

# (tpg) don't use macro here
./configure

%make KERNEL_INCLUDE=/usr/src/linux/include LIBDIR=/%{_lib} DBM_INCLUDE=$LATEST_BDB_INCLUDE_DIR

# Doc generation fails with -j24 (ecrm1000 used before generation)
%if %{build_doc}
make -C doc
%endif

%install
%makeinstall_std SBINDIR=/sbin LIBDIR=/%{_lib} ARPDIR=/var/lib MANDIR=%{_mandir} DOCDIR=%{_docdir}/%{name}-%{version}

mv %{buildroot}/sbin/arpd %{buildroot}/sbin/iproute-arpd

# development files
install -d %{buildroot}%{_includedir}
install -m0644 lib/libnetlink.a %{buildroot}/%{_lib}/
install -m0644 include/libnetlink.h %{buildroot}%{_includedir}/

%files
%dir %{_sysconfdir}/iproute2
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/iproute2/*
/sbin/bridge
/sbin/ctstat
/sbin/genl
/sbin/ifcfg
/sbin/ifstat
/sbin/ip
/sbin/iproute-arpd
/sbin/lnstat
/sbin/nstat
/sbin/routef
/sbin/routel
/sbin/rtacct
/sbin/rtmon
/sbin/rtpr
/sbin/rtstat
/sbin/ss
/sbin/tc
/%{_lib}/tc
#%{_mandir}/man7/*
%{_mandir}/man8/*
%{_mandir}/man3/*

%files -n %{staticdevelname}
%{_includedir}/*.h
/%{_lib}/*.a

%files doc
%doc README README.iproute2+tc README.decnet
%if %{build_doc}
%doc doc/*.dvi doc/*.ps 
%endif
%doc doc/Plan
%doc %{_docdir}/%{name}-%{version}/*.sgml
%doc %{_docdir}/%{name}-%{version}/*.tex
%doc %{_docdir}/%{name}-%{version}/examples


%changelog
* Sat Oct 20 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 3.6.0-1
+ Revision: 819148
- fix file list
- update to new version 3.6.0
- spec file clean

  + Alexander Khrukin <akhrukin@mandriva.org>
    - version update 3.5.1
    - version update 3.4.0

* Sat Mar 31 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 3.3.0-1
+ Revision: 788525
- update to new version 3.3.0

* Fri Feb 17 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.2.0-2
+ Revision: 775741
- maded building tetex docs optional

  + Oden Eriksson <oeriksson@mandriva.com>
    - fix deps (iptables modules directory: not found!)
    - don't follow everything from mageia, i fixed this in a better way earlier, duh...
    - 3.2.0 (mga sync)

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - use db52 in patch 106

* Fri Dec 09 2011 Oden Eriksson <oeriksson@mandriva.com> 3.1.0-1
+ Revision: 739488
- fix more deps (pcpa)
- 3.1.0
- rediffed some patches
- added a few patches from fedora
- fix deps (texlive+++)
- determine the latest bdb include dir here
- various fixes
- rebuilt against bdb 5.2
- various fixes

* Wed Sep 21 2011 Paulo Andrade <pcpa@mandriva.com.br> 2.6.38-3
+ Revision: 700783
- Import fedora patch to rebuild with newer iptables abi

* Sun Apr 10 2011 Funda Wang <fwang@mandriva.org> 2.6.38-2
+ Revision: 652366
- build with db 5.1

* Tue Mar 22 2011 Thomas Backlund <tmb@mandriva.org> 2.6.38-1
+ Revision: 647650
- update to 2.6.38

* Fri Jan 07 2011 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.6.37-1mdv2011.0
+ Revision: 629671
- Updated to version 2.6.37
- Rediffed libdir patch.
- Redid format_not_a_string_literal_and_no_format_arguments patch,
  renamed to iproute2-2.6.31-error-format-security.patch

* Sun Aug 01 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.34-1mdv2011.0
+ Revision: 564181
- update to new version 2.6.34
- rediff patch 110

* Thu Feb 25 2010 Thomas Backlund <tmb@mandriva.org> 2.6.33-1mdv2010.1
+ Revision: 511233
- update to 2.6.33

* Tue Jan 05 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.6.31-1mdv2010.1
+ Revision: 486443
- Updated to 2.6.31
- Drop iproute2-2.6.29-1-display_ip4ip6tunnels.patch (merged).
- Fix up iproute2-2.6.28-format_not_a_string_literal_and_no_format_arguments.patch
  (drop uneeded hunks with 2.6.31, fix snprintf usage)
- Rediffed libdir patch.
- Fix q_atm.so build with Mandriva default linker flags.

* Wed Dec 30 2009 Pascal Terjan <pterjan@mandriva.org> 2.6.29.1-2mdv2010.1
+ Revision: 484227
- Disable parallel build for doc

* Sat Jun 20 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.29.1-1mdv2010.0
+ Revision: 387461
- update to new version 2.6.29-1
- Patch8: rediff
- Patch109: shared SA for different protocols
- Patch110: display ipv4 to ipv6 tunnels
- correctly export path to iptables
- add buildrequires on iptables-devel

* Thu Apr 02 2009 Eugeni Dodonov <eugeni@mandriva.com> 2.6.28-2mdv2009.1
+ Revision: 363604
- Do not overwrite current man files with old ones (#49122).

* Thu Jan 29 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.28-1mdv2009.1
+ Revision: 335287
- fix url
- Patch8: rediff and merge with patch 101
- drop patch 6 and 105, fixed differently by upstream
- Patch107: fix segfault (Fedora)
- do not remove q_atm.so
- compile with %%ldflags
- since this release everything goes to /%%_lib instead of %%_libdir
- fixed path to iptables libraries
- update to new version 2.6.28

* Mon Dec 15 2008 Oden Eriksson <oeriksson@mandriva.com> 2.6.26-2mdv2009.1
+ Revision: 314493
- rediffed the fuzzy P100 patch
- rebuilt against db4.7

* Wed Jul 30 2008 Olivier Blin <blino@mandriva.org> 2.6.26-1mdv2009.0
+ Revision: 255581
- workaround weird upstream DESTDIR fix
- allow to override ccopts (feature was incorrectly included in libdir patch previously)
- rediff libdir patch
- 2.6.26

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - looks like i forgot to merge iproute2 branch with current
    - Patch8: rediff
    - build with %%serverbuild macro
    - set iptables path

* Sat Jul 12 2008 Oden Eriksson <oeriksson@mandriva.com> 2.6.25-4mdv2009.0
+ Revision: 234061
- fix libified devel package naming

* Sat Jul 12 2008 Oden Eriksson <oeriksson@mandriva.com> 2.6.25-3mdv2009.0
+ Revision: 234014
- bump release
- fix #41971

  + Olivier Blin <blino@mandriva.org>
    - 2.6.25
    - rediff libdir patch
    - remove merged oldkernel patch

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - add upstream patch for compatibility with old kernels (fix #40629)

* Wed Jan 02 2008 Olivier Blin <blino@mandriva.org> 2.6.25-1mdv2009.0
+ Revision: 140782
- restore BuildRoot

* Fri Dec 21 2007 Olivier Blin <blino@mandriva.org> 2.6.23-1mdv2008.1
+ Revision: 136513
- replace our libdir patch with one from Cross LFS
- 2.6.23

* Fri Dec 21 2007 Oden Eriksson <oeriksson@mandriva.com> 2.6.20-2mdv2008.1
+ Revision: 136275
- rebuilt against bdb 4.6 libs

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu May 31 2007 Christiaan Welvaart <spturtle@mandriva.org> 2.6.20-1mdv2008.0
+ Revision: 33147
- release 070313
- drop version from kernel-source build dependency because the provides are not versioned

  + Olivier Blin <blino@mandriva.org>
    - update url


* Sat Dec 09 2006 Olivier Blin <oblin@mandriva.com> 2.6.16-4mdv2007.0
+ Revision: 94021
- use RH patch to fix libdir in tc
- fix x86_64 build
- install arpd as iproute-arpd (#27531)
- use make install to simplify (and to install ifstat, lnstat, rtpr, and more doc)

  + Michael Scherer <misc@mandriva.org>
    - Import iproute2

* Sun Apr 09 2006 Michael Scherer <misc@mandriva.org> 2.6.16-3mdk
- also add distribution table

* Sun Apr 09 2006 Michael Scherer <misc@mandriva.org> 2.6.16-2mdk
- add missing lib, fix #21921

* Fri Apr 07 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.6.16-1mdk
- new release

* Wed Jan 25 2006 Samir Bellabes <sbellabes@mandriva.com> 2.6.15-3mdk
- add /sbin/ss

* Fri Jan 20 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.6.15-2mdk
- add BuildRequires: flex

* Thu Jan 19 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.6.15-1mdk
- 20060110 snapshot

* Sat Jun 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.10-2mdk
- 20050607 snapshot

* Mon Jan 31 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.10-1mdk
- 20050124 snapshot

* Thu Jan 06 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.9-1mdk
- 20041019 snapshot

* Mon Aug 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.8-3mdk
- 20040823 snapshot

* Fri Aug 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.8-2mdk
- 20040730 snapshot

* Fri Aug 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.8-1mdk
- 20040702 snapshot

* Wed Jul 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.7-4mdk
- new snapshot
- fix buildrequires
- kill patches 4, 9
- redo patch 6, 106

* Fri Jul 02 2004 Pixel <pixel@mandrakesoft.com> 2.6.7-3mdk
- move documentation to iproute2-doc 
  (for space since iproute2 is always installed since it is required by initscripts)

* Sat Jun 26 2004 Stefan van der Eijk <stefan@mandrake.org> 2.6.7-2mdk
- BuildRequires: bison linuxdoc-tools

* Fri Jun 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.7-1mdk
- new release
- kill patches 1, 2, 8, 103, 104 (merged upstream)
- disable patch 105 for now
- patch 106: fix build with libdb-4.1
- fix buildrequires

